%global __requires_exclude /usr/bin/irssi
Name:           drakcowsay
Version:        0.7
Release:        %mkrel 16
Summary:        Graphical interface for cowsay
License:        GPLv2+
Group:          Toys
URL:            https://wiki.mageia.org/en/Drakcowsay
Source0:        %{name}-%{version}.tar.bz2
Patch0:         drakcowsay-0.7-mga-port-to-hexchat.patch

BuildRequires:  pkgconfig(hexchat-plugin)

Requires:       drakxtools
Requires:       cowsay

%description
Drakcowsay is a graphical interface for cowsay.
Its target audience is those not yet familiar with the tough command line,
thus making cowsay rendering as easy as if you were a true l33t.

This package also includes drakcowthink, a graphical interface to cowthink.


%package -n hexchat-%{name}
Group:          System/Libraries
Summary:        HexChat plugin for Drakcowsay
Requires:       hexchat
Obsoletes:      xchat-%{name} < 0.7-10

%description -n hexchat-%{name}
HexChat-Drakcowsay is a plugin for hexchat to cowsay in your current IRC window.


%package -n irssi-%{name}
Group:          System/Libraries
Summary:        Irssi plugin for Drakcowsay
Requires:       irssi

%description -n irssi-%{name}
Irssi-Drakcowsay is a plugin for irssi to cowsay in your current IRC window.


%prep
%setup -q
%autopatch -p1

%build
gcc %{optflags} -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags -Wl,--export-dynamic -Wall -O1 -shared -fPIC -I. xchat-%{name}.c -o hexchat-%{name}.so

%install
install -m755 -D %{name} %{buildroot}%{_bindir}/%{name}
ln -s %{name} %{buildroot}%{_bindir}/drakcowthink
install -m755 -D hexchat-%{name}.so %{buildroot}%{_libdir}/hexchat/plugins/hexchat-%{name}.so
install -m755 -D irssi-%{name}.pl %{buildroot}%{_datadir}/irssi/scripts/irssi-%{name}.pl

%files
%{_bindir}/%{name}
%{_bindir}/drakcowthink

%files -n hexchat-%{name}
%{_libdir}/hexchat/plugins/hexchat-%{name}.so

%files -n irssi-%{name}
%{_datadir}/irssi/scripts/irssi-%{name}.pl


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.7-16.mga8
+ Revision: 1511918
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.7-15.mga7
+ Revision: 1297499
- Mageia 7 Mass Rebuild

* Tue Sep 12 2017 cjw <cjw> 0.7-14.mga7
+ Revision: 1153255
- use optflags in build

* Mon Feb 08 2016 umeabot <umeabot> 0.7-13.mga6
+ Revision: 947963
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-12.mga5
+ Revision: 738789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-11.mga5
+ Revision: 678834
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Aug 31 2014 akien <akien> 0.7-10.mga5
+ Revision: 669801
- Port drakcowsay to hexchat, obsolete xchat-drakcowsay

* Fri Oct 18 2013 umeabot <umeabot> 0.7-9.mga4
+ Revision: 503944
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.7-8.mga3
+ Revision: 349085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kamil <kamil> 0.7-7.mga2
+ Revision: 174344
- use new URL (mga #3035)
- clean spec
- fix build flags for the xchat-plugin

* Wed Mar 16 2011 mikala <mikala> 0.7-6.mga1
+ Revision: 72637
- add _requires_exceptions /usr/bin/irssi (so irssi-drakcowsay can be installed)
- Remove Buildroot

* Mon Mar 07 2011 boklm <boklm> 0.7-5.mga1
+ Revision: 66215
- imported package drakcowsay


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-5mdv2011.0
+ Revision: 617899
- the mass rebuild of 2010.0 packages

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 0.7-4mdv2010.0
+ Revision: 428337
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.7-3mdv2009.0
+ Revision: 244525
- rebuild
- fix summary-not-capitalized
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.7-1mdv2008.1
+ Revision: 124208
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - Import drakcowsay



* Sun Jun 18 2006 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.0
- new release 0.7:
  o fix release critical bug making this tool crash at startup
- mkrel
- update URL

* Wed Jun  1 2005 Claudio Matsuoka <claudio@mandriva.com> 0.6-2mdk
- added missing drakcowthink symlink
- fixed buildrequires to xchat-devel
- minor specfile cleanup

* Wed Oct 27 2004 Olivier Blin <blino@mandrake.org> 0.6-1mdk
- new release 0.6 :
  o parental advisory option (obscene cows are hidden by default)
  o read from stdin with '-' option

* Fri Aug 13 2004 Olivier Blin <blino@mandrake.org> 0.5-1mdk
- new release 0.5 :
  o remove ads in irc plugins
  o read initial input from command line or stdin

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 0.4-1mdk
- new release 0.4 (l33t edition):
  o irssi plugin

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 0.3-1mdk
- new release 0.3 (irc edition):
  o send to irc button
  o xchat plugin
  o word-wrap can be toggled
- redde rafaela quae sunt rafaela (fix changelog)

* Tue Jul 20 2004 Olivier Blin <blino@mandrake.org> 0.2-1mdk
- new release 0.2:
  o use scrollbars and resize TextViews
  o sort cows, quit button (rafael)
  o quit button (rafael)
  o misc fixes (rafael)
- requires cowsay (anne)

* Mon Jul 19 2004 Olivier Blin <blino@mandrake.org> 0.1-1mdk
- initial Mandrakelinux release
